# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Multimedia Discussion

### Favorite songs, from solo singer/band/game soundtrack. - Page 4

Previous Page

- 1
- 2
- 3
- 4

Next Page

#### Re: Favorite songs, from solo singer/band/game soundtrack.

Posted by: Wild GHOST
Date: 2009-04-03 01:38:46
According to last.fm, here are my overall top 20 tracks since I started scrobbling back in June of 2005:
1 Aerosmith ? Eat the Rich
2 Aerosmith ? Rag Doll
3 Aerosmith ? Dude (Looks Like a Lady)
3 Foreigner ? Juke Box Hero
3 Crush 40 ? Open Your Heart
6 Masaya Matsuura ? Taste of Teriyaki
6 Aerosmith ? Livin' on the Edge
8 Foreigner ? Feels Like the First Time
8 Masaya Matsuura ? Fright Flight!!
8 DragonForce ? Fury of the Storm
11 Dr. Love ? Don't Stand So Close
11 Dave Rodgers ? Beat of the Rising Sun
13 Poison ? Unskinny Bop
14 M?tley Cr?e ? Don't Go Away Mad (Just Go Away)
14 Masaya Matsuura ? Fire Fire!!
14 Aerosmith ? Angel
17 Masaya Matsuura ? Power Off! Power On!
17 Marko Polo ? Speedy Speed Boy
17 Def Leppard ? Armageddon It
20 Poison - Nothin' but a Good Time
And for artists in general here's what it says my overall top 20 are:
1 "Weird Al" Yankovic
2 Aerosmith
3 Sonic Team
4 Foreigner
5 Eminem
6 Def Leppard
7 M?tley Cr?e
8 Masaya Matsuura
9 Kenji Yamamoto
10 Michiru Oshima
11 Poison
12 Sahashi Toshihiko
13 Tales of Symphonia
14 In Flames
15 Sonata Arctica
15 The Beatles
17 Styx
18 the pillows
19 Hideki Naganuma, Teruhiko Nakagawa
20 Motoi Sakuraba
#3 is a bad sign; I had all of my music tagged nearly perfectly for awhile, then I made the stupid mistake of letting an auto-tagger have free reign on my music library. Suddenly all of my perfect tags crediting Jun Sunoue, Fumie Kumatanie, and the others for the specific songs they did were all now a generic "Sonic Team." :(
#13 is also a sign I need to fix my files, but this one was my fault; I obtained the Tales of Symphonia soundtrack then failed to edit the ID3 tags so that they correctly listed Motoi Sakuraba as the artist for the longest time. Post-auto-tagger they're all listed as "namco;" I should probably fix that…

#### Re: Favorite songs, from solo singer/band/game soundtrack.

Posted by: Missingno.7-4468
Date: 2009-06-23 10:26:20
I haven't read much of this thread, but from what I have read, I seem to be the only one who likes country. Anyway, here's some songs that I like:
C.W. McCall(Bill Fries):
-Convoy
-Around the World with Rubber Duck
-Green River
-Aurora Borealis
-There won't be no Country Music
-Roses for Mama
-The Old Home Fll 'er Up and Keep on a Truckin' Cafe
-Black Bear Road
-Wolf Creek Pass
-Pretty much anything else that he sings…
Johnny Cash:
-Ring of Fire
-A Boy Named Sue
-Ghost Riders in the Sky
-The Man in Black
Johnny Horton:
-Battle of New Orleans
-North to Alaska
-Whispering Pines
Other:
Teddy Bear - Red Sovine
El Paso - Marty Robins
Pretty much anything country
I do listen to a little rock, though country will always be my favorite kind of music

#### Re: Favorite songs, from solo singer/band/game soundtrack.

Posted by: Wild MissingNo. appeared
Date: 2009-06-23 10:43:47
I'm more of a Rock/Heavy Rock/Metal/Heavy Metal sort of person. Has been a while since this had any posts.
Evanescense - Going Under, My Immortal, Missing.
KT Tunstall - False Alarm, Throw Me A Rope, Universe And You, Girl And The Ghost, Miniature Disasters, Hold On, A Big Black Horse And The Cherry Tree.
Lacuna Coil - Swamped, Enjoy The Silence, Circle, Closer, Cold, Our Truth, Heir Of A Dying Day, Veins of Glass, Within Me.
t.A.T.u. - All The Things She Said, Ya Soshla S Uma (All The Things She Said (Russian), Not Gonna Get Us, Nas Ne Dagoniat (Not Gonna Get Us in Russian), All About Us, You And I, Show Me Love, Doschitat.
Linkin Park - In The End, Faint, Numb, Somewhere I Belong.

#### Re: Favorite songs, from solo singer/band/game soundtrack.

Posted by: Thomas
Date: 2009-07-16 13:17:39
The Who-A Quick One While He's Away, Underture, We're Not Gonna Take It
Jethro Tull-My Sunday Feeling, Someday The Sun Won't Shine For You, Beggar's Farm, Serenade To A Cuckoo, Dharma For One, Cat's Squirrel, A Song For Jeffrey, One For John Gee, Love Story, A Christmas Song.
Previous Page

- 1
- 2
- 3
- 4

Next Page